org.apache.xmlgraphics.image.loader.impl

## Class ImageRawCCITTFax

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImage
  - - org.apache.xmlgraphics.image.loader.impl.ImageRawStream
    - - org.apache.xmlgraphics.image.loader.impl.ImageRawCCITTFax

- All Implemented Interfaces:
    Image

      public class ImageRawCCITTFax
      extends ImageRawStream

  This class is an implementation of the Image interface exposing a 1-bit bitmap image stream that can be decoded by the PostScript or PDF CCITTFaxDecode filter.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.xmlgraphics.image.loader.impl.ImageRawStream

      `ImageRawStream.ByteArrayStreamFactory, ImageRawStream.InputStreamFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageRawCCITTFax(ImageInfo info, java.io.InputStream in, int compression)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.color.ColorSpace` | `getColorSpace()` Returns the image's color space
    `int` | `getCompression()` Returns the TIFF compression scheme.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.ImageRawStream

      `createInputStream, getFlavor, getMimeType, isCacheable, setInputStreamFactory, writeTo`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage

      `getICCProfile, getInfo, getSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageRawCCITTFax

          public ImageRawCCITTFax(ImageInfo info,
                                  java.io.InputStream in,
                                  int compression)

      Main constructor.
      Parameters:
        `info` - the image info object
        `in` - the ImageInputStream with the raw content
        `compression` - the integer value of the TIFF compression scheme

  - ### Method Detail

    - #### getColorSpace

          public java.awt.color.ColorSpace getColorSpace()

      Returns the image's color space
      Specified by:
        `getColorSpace` in interface `Image`
      Overrides:
        `getColorSpace` in class `AbstractImage`
      Returns:
        the color space

    - #### getCompression

          public int getCompression()

      Returns the TIFF compression scheme.
      Returns:
        the TIFF compression scheme

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.